Bug 1000554 - jenkins: builder size help tips show incorrect resources information for small/medium gears
jenkins: builder size help tips show incorrect resources information for sma...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Reopened
Depends On:
Blocks: 1007551
  Show dependency treegraph
 
Reported: 2013-08-23 12:18 EDT by Nam Duong
Modified: 2015-05-14 19:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1007551 (view as bug list)
Environment:
Last Closed: 2013-09-19 12:48:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2013-08-23 12:18:20 EDT
Description of problem:
jenkins:  builder size help tips show incorrect resources information for small/medium gears

Version-Release number of selected component (if applicable):
Online

How reproducible:
Always

Steps to Reproduce:
1.  Create a jenkins app
2.  Add a jenkins-client cartridge to an application
3.  Navigate to http://jenkins-<yourDomain>.rhcloud.com/job/<buildJobName>/configure
4.  Click on the '?' next to "builder size"

Actual text diplayed:
"
Important: This setting only applies if you set the job Label Expression to match the Project name of your job.

Setting the job label is done automatically for you by the OpenShift client tools, but if you are manually setting up a job, you need to set this. You can set the Label Expression by checking Restrict where this project can be run and then copying your Project name into the text field. The label is used to lookup the job details, including the Builder Type and Builder Size when your slave builders are created.

The builder size specifies the resources needed for your OpenShift build environment.

The resources available in the builder types are as follows:

    Small: 512M storage, 250 procs, 300M ram, 100M swap.
    Medium: 750M storage, 2100 processes, 512M ram, 100M swap
"

Expected results:  

Maybe we should have a link to an FAQ?: https://www.openshift.com/faq/are-there-different-gear-sizes-and-how-much-do-they-cost
Comment 1 Dan McPherson 2013-08-23 15:32:35 EDT
Fixed in jenkins-plugin-openshift-0.6.22-0.el6oso which will be in devenv_3695
Comment 2 Meng Bo 2013-08-26 00:23:50 EDT
Checked on STG(devenv-stage_457), issue has been fixed.



Important: This setting only applies if you set the job Label Expression to match the Project name of your job.

Setting the job label is done automatically for you by the OpenShift client tools, but if you are manually setting up a job, you need to set this. You can set the Label Expression by checking Restrict where this project can be run and then copying your Project name into the text field. The label is used to lookup the job details, including the Builder Type and Builder Size when your slave builders are created.

The builder size specifies the resources needed for your OpenShift build environment.

The resources available in the builder types are as follows:

    Small: 512M storage, 250 procs, 300M ram, 100M swap.
    Medium: 750M storage, 2100 processes, 512M ram, 100M swap

(from OpenShift Origin Jenkins Cloud Plugin)
Comment 3 Dan McPherson 2013-08-26 11:02:04 EDT
That doesn't look like the fixed version.  The fix was only made on master so far which makes sense why you didn't see it.
Comment 4 Xiaoli Tian 2013-08-26 21:14:18 EDT
Move back to ON_QA to re-test on latest devenv
Comment 5 Meng Bo 2013-08-26 22:26:52 EDT
Important: This setting only applies if you set the job Label Expression to match the Project name of your job.

Setting the job label is done automatically for you by the OpenShift client tools, but if you are manually setting up a job, you need to set this. You can set the Label Expression by checking Restrict where this project can be run and then copying your Project name into the text field. The label is used to lookup the job details, including the Builder Type and Builder Size when your slave builders are created.

The builder size specifies the resources needed for your OpenShift build environment.

For OpenShift Online, the resources available in the builder types can be found here.
(from OpenShift Origin Jenkins Cloud Plugin)


Checked on devenv_3711, issue has been fixed. Move bug to verified.
Comment 6 gideon 2013-09-01 02:49:39 EDT
This isn't fixed Online, it's got worse. The help text is the same as before, but the builder selector has changed form a selection drop-down to a free text field.
Comment 7 Dan McPherson 2013-09-03 09:37:29 EDT
Yes this fix hasn't made it to online yet.  But the change from a dropdown to a text box was intentional.

Note You need to log in before you can comment on or make changes to this bug.